﻿using Syncfusion.XForms.PopupLayout;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace PopupShowSample
{
    public partial class MainPage : ContentPage
    {
        DataTemplate contentTemplateView;
        DataTemplate headerTemplateView;

        Label popupContent;
        Label popupheader;
        public MainPage()
        {
            InitializeComponent();
            
            this.showpopup();

            contentTemplateView = new DataTemplate(() =>
            {
                popupContent = new Label
                {
                    Text = "Popup Layout",
                    TextColor = Color.Red,
                    BackgroundColor = Color.White,
                    HorizontalTextAlignment = TextAlignment.Center,
                };
                return popupContent;
            });

            headerTemplateView = new DataTemplate(() =>
            {
                popupheader = new Label
                {
                    Text = "Header",
                    FontAttributes = FontAttributes.Bold,
                    BackgroundColor = Color.Red,
                    FontSize = 16,
                    TextColor = Color.White,
                    HorizontalTextAlignment = TextAlignment.Center,
                    VerticalTextAlignment = TextAlignment.Center
                };
                return popupheader;
            });

            popupLayout.PopupView.HeaderTemplate = headerTemplateView;
            popupLayout.PopupView.ContentTemplate = contentTemplateView;
            popupLayout.PopupView.AppearanceMode = AppearanceMode.OneButton;
            popupLayout.PopupView.AnimationMode = AnimationMode.Zoom;
            popupLayout.PopupView.AcceptButtonText = "OK";
            
        }
        
        private async void showpopup()
        {
            await Task.Delay(1000);
            popupLayout.Show();
        }
    }
}